org.apache.fop.render

## Interface RendererConfig

All Known Implementing Classes:
  AFPRendererConfig, BitmapRendererConfig, IFRendererConfig, Java2DRendererConfig, PCLRendererConfig, PDFRendererConfig, PNGRendererConfig, PSRendererConfig, TIFFRendererConfig, TxtRendererConfig

    public interface RendererConfig

Implementations of this interface have all the renderer-specific configuration data found in the FOP-conf. This object is just a data object that is created by the `RendererConfig.RendererConfigParser` when the FOP conf is parsed.

### Nested Class Summary

Nested Classes
`static interface` `RendererConfig.RendererConfigParser` Implementations of this interface parse the relevant renderer-specific configuration data within the FOP-conf and create a `RendererConfig`.

### Method Summary

All Methods Instance Methods Abstract Methods
`FontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.

### Method Detail

#### getFontInfoConfig

    FontConfig getFontInfoConfig()

Returns the render-specific font configuration information.

Returns:
  the font config